%define libmrproject_req_version 0.9

Summary: 	MrProject
Name: 		mrproject
Version: 	0.9
Release: 	1mdk
License: 	GPL
Group: 		Office
Url:		http://mrproject.codefactory.se/

Source0: 	ftp://ftp.codefactory.se/pub/software/mrproject/source/%{name}-%{version}.tar.bz2

BuildRoot:	%_tmppath/%name-%version-%release-root
BuildRequires:  scrollkeeper >= 0.3
BuildRequires:	libgnomeui2_0-devel
BuildRequires:  libmrproject-devel >= %{libmrproject_req_version}
BuildRequires:  libgnomeprintui2-2-devel
Requires: libmrproject0 >= %{libmrproject_req_version}
Requires: scrollkeeper >= 0.3

%description
MrProject, a project management application for GNOME.

%prep

%setup -q

%build
%configure2_5x
%make

%install
rm -fr %$RPM_BUILD_ROOT

%makeinstall_std

install -d -m 0755 $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="mrproject" \
needs="x11" \
section="Office/Tasks management" \
title="Mr Project" \
longtitle="Project management tool" \
icon="taskmanagement_section.png" \
startup_notify="true"
EOF

%find_lang %{name} --with-gnome

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/mrproject/*.la \
   $RPM_BUILD_ROOT%{_libdir}/mrproject/views/*.la

# create cache files
touch $RPM_BUILD_ROOT%{_datadir}/gnome/help/%{name}/C/%name.html


%post
if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update -q || true ; fi
if [ -x /usr/bin/yelp-pregenerate ]; then /usr/bin/yelp-pregenerate %{_datadir}/gnome/help/%{name}/*/%{name}.xml > /dev/null || true ; fi
%{update_menus}

%postun
if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update -q || true ; fi
%{clean_menus}

%clean
rm -fr %buildroot


%files -f %{name}.lang
%defattr(-,root,root)
%doc ChangeLog README COPYING
%{_bindir}/*
%{_libdir}/mrproject/*.so
%dir %{_libdir}/mrproject/views
%{_libdir}/mrproject/views/*.so
%{_datadir}/application-registry/*
%{_datadir}/applications/*
%{_datadir}/gnome-2.0/ui/*.ui
%{_datadir}/mime-info/*
%{_datadir}/mrproject
%{_menudir}/*
%{_datadir}/pixmaps/*
%{_datadir}/omf/*
%ghost %{_datadir}/gnome/help/%{name}/C/%{name}.html

%changelog
* Tue Feb 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-1mdk
- Release 0.9

* Tue Jan 21 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-1mdk
- Release 0.8

* Thu Jan 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-2mdk
- Recompiled against latest openssl
- Enable startup_notify
- Generate yelp cache

* Fri Nov 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-1mdk
- Release 0.7

* Mon Aug 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6-1mdk
- Release 0.6
- Remove patch0 (merged upstream)

* Thu Jul 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.93-2mdk
- Patch0 (CVS): close project property dialog when pressing close button

* Mon Jun 24 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.93-1mdk
- Release 0.5.93

* Fri Jun 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.92-1mdk
- Release 0.5.92 (GNOME2)

* Wed Jan 23 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.1-1mdk
- Release 0.5.1

* Tue Jan 15 2002 Stefan van der Eijk <stefan@eijk.nu> 0.5.0-3mdk
- BuildRequires
- Rebuild with libgal19

* Wed Jan 09 2002 David BAUDENS <baudens@mandrakesoft.com> 0.5.0-2mdk
- Fix menu entry
- Add missing files

* Thu Jan  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.0-1mdk
- Release 0.5.0
- Switch to implicit dependencies

* Fri Nov  9 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.1-2mdk
- Recompiled against latest gal

* Mon Oct 29 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.1-1mdk
- Release 0.4.1
- Patch0: fix compilation with latest bonobo

* Thu Sep 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.0-1mdk
- Release 0.4.0
- Compiled against libgal12

* Thu Aug 30 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.2-1mdk
- Release 0.3.2
- add menu entry

* Wed Aug 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.1-4mdk
- Add missing directories
- Recompiled against libgal11

* Fri Aug 10 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.1-3mdk
- Recompiled against latest gal

* Wed Jul 07 2001 Camille Begnis <camille@mandrakesoft.com> 0.3.1-2mdk
- RPM Sucks (now all files are there)
- Changed Copyright to License

* Fri Jun 29 2001 Camille Begnis <camille@mandrakesoft.com> 0.3.1-1mdk
- Stole spec from RH
